## qtdeclarative-opensource-src 5.15.8

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.8-1+dde+rb1) UNRELEASED; urgency=medium

  * New upstream release (5.15.8).

 -- Lu YaNing <luyaning@uniontech.com>  Mon, 30 Jan 2023 11:47:37 +0800

qtdeclarative-opensource-src (5.15.7.1-1+dde) unstable; urgency=medium

  * Fixed the incorrect installation path of qtdeclarative5-dev-tools
    package content.

 -- Lu YaNing <luyaning@uniontech.com>  Tue, 10 Jan 2023 13:02:01 +0800

qtdeclarative-opensource-src (5.15.7-1+dde) unstable; urgency=medium

  * New upstream release (5.15.7).

 -- Duan Ting <duanting@uniontech.com>  Fri, 04 Nov 2022 11:40:54 +0800

qtdeclarative-opensource-src (5.15.3.1-1+deepin) stable; urgency=medium

  * ['Rebuild  against by  current gcc 11.2']

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 Aug 2022 10:14:14 +0800

=== debian/control ===
Source: qtdeclarative-opensource-src
Section: libs
Priority: optional
Maintainer: Deepin Developer <deepin-dev@deepin.org>
Uploaders: Deepin Packages Builder <packages@deepin.org>
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.19.7),
               pkg-kde-tools (>= 0.15.17~),
               python3:any,
               qtbase5-private-dev (>= 5.15.8~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>
Standards-Version: 4.6.0
Homepage: https://doc.qt.io/qt-5/qmlapplications.html

Package: libqt5qml5
Provides: qtdeclarative-abi-5-15-8
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgl1, libglx-mesa0
Suggests: qt5-qmltooling-plugins
Description: Qt 5 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt5qmlmodels5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML Models library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Models support library.

Package: libqt5qmlworkerscript5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML Worker Script library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Worker Script support library.

Package: libqt5quick5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt5quickparticles5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick particles module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Particles support library.

Package: libqt5quickshapes5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Shapes module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Shapes support library.

Package: libqt5quicktest5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: libqt5quickwidgets5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Widgets library for QtDeclarative module.

Package: qml-module-qtquick-layouts
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Quick Layouts QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Quick Layouts modules provides a set of layouts that can be used to
 build complete interfaces in Qt Quick.

Package: qt5-qmltooling-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5qml5 (<< 5.6.0~beta~)
Replaces: libqt5qml5 (<< 5.6.0~beta~)
Description: Qt 5 qmltooling plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling plugins.

Package: qml-module-qt-labs-animation
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt.labs.animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains experimental QML types related to animation.

Package: qml-module-qt-labs-folderlistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 folderlistmodel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qml-module-qtquick-localstorage
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 localstorage QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This is a singleton type for reading and writing to SQLite databases.

Package: qml-module-qt-labs-sharedimage
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 SharedImage QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Shared Image plugin.

Package: qml-module-qt-labs-qmlmodels
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt.labs.qmlmodels QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains experimental QML types related to data models.

Package: qml-module-qt-labs-wavefrontmesh
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt.labs.wavefrontmesh QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module provides a mesh based on a Wavefront .obj file.

Package: qml-module-qtqml
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt5qml5 (<< 5.14.1+dfsg-1~)
Replaces: libqt5qml5 (<< 5.14.1+dfsg-1~)
Description: Qt 5 QtQml QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains basic QML types.

Package: qml-module-qtqml-models2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Models2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Models provides types previously found in Qt Quick module.

Package: qml-module-qtqml-statemachine
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 State Machine QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The State Machine QML module.

Package: qml-module-qtqml-workerscript2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 QML Worker Script 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for using worker scripts.

Package: qml-module-qtquick-particles2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 particles 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains a particle system for Qt Quick.

Package: qml-module-qtquick2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt Quick 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick 2 QML module for Qt declarative.

Package: qml-module-qtquick-shapes
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 Qt Quick Shapes QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Shapes plugin allows adding stroked and filled paths composed of
 lines, quadratic curves, cubic curves, and arcs into Qt Quick scenes.

Package: qml-module-qt-labs-settings
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 settings QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the settings QML module for Qt declarative.

Package: qml-module-qttest
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: qml-module-qtquick-window2,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 5 test QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the test QML module for Qt declarative.

Package: qml-module-qtquick-window2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 5 window 2 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for creating top-level windows and
 accessing screen information.

Package: qtdeclarative5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5qml5 (= ${binary:Version}),
         libqt5qmlmodels5 (= ${binary:Version}),
         libqt5qmlworkerscript5 (= ${binary:Version}),
         libqt5quick5 (= ${binary:Version}) | libqt5quick5-gles (>= 5.15),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export QT_SELECT := qt5

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(CURDIR)/test_root
	rm -rf $(CURDIR)/docs
	rm -rf $(CURDIR)/.local

override_dh_auto_configure:
	dh_auto_configure -- QT_BUILD_PARTS+=tests QMAKE_PYTHON=python3

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_build-arch:
	# Makefiles need to be regenerated after qmltypes.prf becomes available.
	# (The below line seems to be not needed since the bare existence of override
	# target makes dh(1) change the build order, but let's keep it to be safe.)
	find -name Makefile -and -not -path ./Makefile -delete
	dh_auto_build

override_dh_auto_install-arch:
	dh_auto_install

	# Remove libtool-like files
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

	# Reproducible builds: remove build paths from prl files.
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt5*.prl

	# Fix wrong permissions in examples.
	find $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/ -type f \( \
	-name '*.png' \
	-o -name '*.php' \
	-o -name '*.xsl' \
	-o -name '*.xml' \
	-o -name '*.js' \
	-o -name '*.jpg' \
	-o -name '*.qml' \
	\) -print0 | xargs -0 chmod a-x

	# Explicitly remove a .bat file included in examples
	# Per Debian Policy, we cannot ship a non-standard executable without recommending a corresponding runtime
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/examples/quick/shadereffects/content/shaders/rhi/compile.bat

override_dh_auto_install-indep:
	dh_auto_build -- INSTALL_ROOT=$(CURDIR)/debian/tmp install_docs

override_dh_link:
	dh_link
	ls debian/qtdeclarative5-dev-tools/usr/lib/qt5/bin | xargs -t -I {} \
		dh_link -pqtdeclarative5-dev-tools usr/lib/qt5/bin/{} usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/{}
	dh_link -pqmlscene usr/lib/qt5/bin/qmlscene usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qmlscene
	dh_link -pqml usr/lib/qt5/bin/qml usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qml

override_dh_auto_test-arch:
#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
#	$(MAKE) install INSTALL_ROOT=$(CURDIR)/test_root
#	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
	# - hppa: QML engine is broken, bug missing
	# - ia64: QML engine is broken, see bug #929682
	# - mips*: Some tests are failing because of bug #868745
	# - powerpc, ppc64, s390x: item-grabber test fails on big endian, see https://bugreports.qt.io/browse/QTBUG-56806
	# - sparc64: QML engine is broken, see bug #894726
#ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64))
#	-xvfb-run -a \
#	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
#	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
#	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
#	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
#	         LD_LIBRARY_PATH=$(CURDIR)/lib
#else
#	xvfb-run -a \
#	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
#	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
#	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
#	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
#	         LD_LIBRARY_PATH=$(CURDIR)/lib
#endif
#endif

override_dh_auto_test-indep:

## qtdeclarative-opensource-src 5.15.8%2Bdfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.8+dfsg-3+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 5.14.2+dfsg-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 04 Jul 2020 19:53:58 +0000]
  * Update symbols file for raspbian.

  [changes introduced in 5.14.2+dfsg-3+rpi1 by Peter Michael Green]
  * Mark a gcc 10 only symbol as optional.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 12 Mar 2023 20:00:10 +0000

qtdeclarative-opensource-src (5.15.8+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix crash when destructing QQuickItem
    (closes: #983597).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 26 Feb 2023 23:32:58 +0300

qtdeclarative-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:01:44 +0400

qtdeclarative-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - fix_flickable_wheel_velocity_calculation.patch
    - use_delay_properly_in_mousewheel.patch
  * Refresh debian/patches/fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump ABI version to qtdeclarative-abi-5-15-8.
  * Update debian/libqt5qml5.symbols for hurd-i386.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 00:36:44 +0400

qtdeclarative-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Update symbols files for alpha.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:11 +0300

qtdeclarative-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  [ Simon Quigley ]
  * New upstream release (5.15.7).
  * Refresh all patches, dropping part of the GCC-11 patch that was merged
    upstream.
  * Bump ABI version to qtdeclarative-abi-5-15-7.
  * Bump Qt build dependencies to 5.15.7.
  * Update Lintian source-is-missing overrides to cover more test files.
  * Remove a batch file shipped in examples.

  [ Dmitry Shachnev ]
  * Set TZ=UTC for tests.
  * Update symbols files for riscv64.

 -- Simon Quigley <tsimonq2@debian.org>  Fri, 18 Nov 2022 18:13:13 -0600

qtdeclarative-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:39:46 +0300

=== debian/rules ===
--- 
+++ 
@@ -66,29 +66,31 @@
 	dh_link -pqml usr/lib/qt5/bin/qml usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qml
 
 override_dh_auto_test-arch:
-#ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-#	$(MAKE) install INSTALL_ROOT=$(CURDIR)/test_root
-#	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
-	# - hppa: QML engine is broken, bug missing
+ifeq (testsuitdisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) install INSTALL_ROOT=$(CURDIR)/test_root
+	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
+	# - hppa: QML engine is broken, see bug #973659
 	# - ia64: QML engine is broken, see bug #929682
 	# - mips*: Some tests are failing because of bug #868745
 	# - powerpc, ppc64, s390x: item-grabber test fails on big endian, see https://bugreports.qt.io/browse/QTBUG-56806
 	# - sparc64: QML engine is broken, see bug #894726
-#ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64))
-#	-xvfb-run -a \
-#	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
-#	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
-#	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
-#	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
-#	         LD_LIBRARY_PATH=$(CURDIR)/lib
-#else
-#	xvfb-run -a \
-#	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
-#	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
-#	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
-#	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
-#	         LD_LIBRARY_PATH=$(CURDIR)/lib
-#endif
-#endif
+ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64))
+	-xvfb-run -a \
+	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
+	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
+	         TZ=UTC \
+	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
+	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
+	         LD_LIBRARY_PATH=$(CURDIR)/lib
+else
+	xvfb-run -a \
+	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
+	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
+	         TZ=UTC \
+	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
+	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
+	         LD_LIBRARY_PATH=$(CURDIR)/lib
+endif
+endif
 
 override_dh_auto_test-indep:

## qtdeclarative-opensource-src 5.15.8+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,28 @@
 Source: qtdeclarative-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Deepin Developer <deepin-dev@deepin.org>
-Uploaders: Deepin Packages Builder <packages@deepin.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>,
+           Pino Toscano <pino@debian.org>,
+           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Timo Jyrinki <timo@debian.org>,
+           Dmitry Shachnev <mitya57@debian.org>,
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.19.7),
+               dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.8~),
+               qtbase5-private-dev (>= 5.15.8+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
                      qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>
-Standards-Version: 4.6.0
+                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
+Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
 Provides: qtdeclarative-abi-5-15-8
@@ -60,6 +67,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -74,6 +82,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -309,16 +318,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for creating top-level windows and
- accessing screen information.
-
-Package: qtdeclarative5-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
-Depends: libqt5qml5 (= ${binary:Version}),
-         libqt5qmlmodels5 (= ${binary:Version}),
-         libqt5qmlworkerscript5 (= ${binary:Version}),
-         libqt5quick5 (= ${binary:Version}) | libqt5quick5-gles (>= 5.15),

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	dh_link -pqml usr/lib/qt5/bin/qml usr/lib/$(DEB_HOST_MULTIARCH)/qt5/bin/qml
 
 override_dh_auto_test-arch:
-ifeq (testsuitdisabled,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) install INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
 	# - hppa: QML engine is broken, see bug #973659

## qtdeclarative-opensource-src 5.15.8.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.8.1-1+dde) unstable; urgency=medium

  * Fixed the incorrect installation path of qtdeclarative5-dev-tools
    package content.

 -- Lu YaNing <luyaning@uniontech.com>  Fri, 03 Feb 2023 09:50:02 +0800

qtdeclarative-opensource-src (5.15.8-1+dde) unstable; urgency=medium

  * New upstream release (5.15.8).

 -- Duan Ting <duanting@uniontech.com>  Mon, 09 Jan 2023 11:01:18 +0800

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.20.0),
+               dpkg-dev (>= 1.19.7),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.8+dfsg~),
+               qtbase5-private-dev (>= 5.15.8~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
                      qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
                      qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
+                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>
+Standards-Version: 4.6.0
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
@@ -67,7 +67,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -82,7 +81,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -318,3 +316,5 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .

## qtdeclarative-opensource-src 5.15.10%2Bdfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.10+dfsg-2+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 5.14.2+dfsg-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 04 Jul 2020 19:53:58 +0000]
  * Update symbols file for raspbian.

  [changes introduced in 5.14.2+dfsg-3+rpi1 by Peter Michael Green]
  * Mark a gcc 10 only symbol as optional.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 26 Sep 2023 13:49:42 +0000

qtdeclarative-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 09:59:44 +0300

qtdeclarative-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop gcc_11.patch, included in the new release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.15.10.
  * Bump ABI version to qtdeclarative-abi-5-15-10.
  * Update upstream copyright year.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jun 2023 20:17:27 +0300

qtdeclarative-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.
  * Bump ABI version to qtdeclarative-abi-5-15-9.
  * Drop patches, included in the new release:
    - support_apos_in_styled_text.patch
    - fix_sweep_step.patch
  * Minor debian/copyright updates.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Apr 2023 19:19:48 +0300

## qtdeclarative-opensource-src 5.15.10+dfsg

=== debian/control ===
--- 
+++ 
@@ -9,23 +9,23 @@
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dpkg-dev (>= 1.19.7),
+               dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.8~),
+               qtbase5-private-dev (>= 5.15.10+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.8~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.8~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.8~) <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-8
+Provides: qtdeclarative-abi-5-15-10
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -67,6 +67,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quick5-gles
 Description: Qt 5 Quick library
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -81,6 +82,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: libqt5quickparticles5-gles
 Description: Qt 5 Quick particles module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -316,5 +318,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .

## qtdeclarative-opensource-src 5.15.13+dfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.13+dfsg-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself and Timo from Uploaders.

  [ Dmitry Shachnev ]
  * Update debian/libqt5qml5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 11:47:52 +0300

qtdeclarative-opensource-src (5.15.13+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.
  * Bump ABI version to qtdeclarative-abi-5-15-13.
  * Update debian/libqt5qml5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Mar 2024 19:38:03 +0300

qtdeclarative-opensource-src (5.15.12+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Bump ABI version to qtdeclarative-abi-5-15-12.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 15:18:27 +0300

qtdeclarative-opensource-src (5.15.11+dfsg-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Make the tests non-fatal also on hurd-i386, as the lack of DRI causes the
    OpenGL-related tests to fail.
  * Drop bits of architectures that are not more used:
    - drop mips, and kfreebsd* qualifiers in symbols files
    - drop mips reference in rules

  [ Dmitry Shachnev ]
  * New upstream release.
  * Refresh patches for the new release.
  * Bump Qt build-dependencies to 5.15.11.
  * Bump ABI version to qtdeclarative-abi-5-15-11.
  * Add a debian/clean file (closes: #1048969).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 18 Nov 2023 19:09:39 +0300

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,26 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.10+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.10~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.10~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.10+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
 Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-10
+Provides: qtdeclarative-abi-5-15-13
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -318,3 +316,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module contains types for creating top-level windows and

## qtdeclarative-opensource-src 5.15.15+dfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.15+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fortify qmlExecuteDeferred some more.
  * Update debian/libqt5qml5.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 07 Nov 2024 11:47:17 +0300

qtdeclarative-opensource-src (5.15.15+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:41:19 +0300

qtdeclarative-opensource-src (5.15.15+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump ABI version to qtdeclarative-abi-5-15-15.
  * Refresh patches for the new release.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Update symbols files from buildds’ and current build logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 02 Sep 2024 16:08:26 +0300

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
                dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.13+dfsg~),
+               qtbase5-private-dev (>= 5.15.15+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
-Standards-Version: 4.6.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-13
+Provides: qtdeclarative-abi-5-15-15
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

## qtdeclarative-opensource-src 5.15.16+dfsg

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.16+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.16.
  * Bump ABI version to qtdeclarative-abi-5-15-16.
  * Refresh fortify_qmlexecutedeferred.patch.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Feb 2025 15:09:47 +0300

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
                dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.15+dfsg~),
+               qtbase5-private-dev (>= 5.15.16+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.15~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.15~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.15+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.16~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.16~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.16~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.16+dfsg~) <!nodoc>
 Standards-Version: 4.7.0
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-15
+Provides: qtdeclarative-abi-5-15-16
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

## qtdeclarative-opensource-src 5.15.17+dfsg

=== tests/auto/cmake/qmlimportscanner/CMakeLists.txt ===

cmake_minimum_required(VERSION 3.1)
project(qis_test)

find_package(Qt5Qml 5.0.0 REQUIRED)
find_package(Qt5Gui 5.0.0 REQUIRED)
find_package(Qt5Test 5.0.0 REQUIRED)
find_package(Qt5QmlImportScanner REQUIRED)

set(CMAKE_CXXFLAGS "${CMAKE_CXXFLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

add_executable(qis_test "${CMAKE_CURRENT_SOURCE_DIR}/main.cpp"
                        "${CMAKE_CURRENT_SOURCE_DIR}/qis_test.qrc")
target_link_libraries(qis_test PRIVATE Qt5::Gui Qt5::Qml Qt5::Test)
qt5_import_qml_plugins(qis_test)

=== tests/auto/cmake/qtquickcompiler/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
project(qqc_test)

find_package(Qt5Qml 5.0.0 REQUIRED)
find_package(Qt5Gui 5.0.0 REQUIRED)
find_package(Qt5Test 5.0.0 REQUIRED)
find_package(Qt5QuickCompiler)

set(CMAKE_CXXFLAGS "${CMAKE_CXXFLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")

qtquick_compiler_add_resources(RESOURCES "empty.qrc" "resources with space/qqc_test.qrc")

set(CMAKE_AUTOMOC ON)

add_executable(qqc_test "${CMAKE_CURRENT_SOURCE_DIR}/main.cpp" ${RESOURCES})
target_link_libraries(qqc_test Qt5::Gui Qt5::Qml Qt5::Test)

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.17+dfsg-3) unstable; urgency=medium

  * Backport upstream commit 136bd72b35907e53fc084ff6f735f29363026c75 to enable
    the JIT on x86_64 Hurd (hurd-amd64); patch hurd_x86_64_jit.patch.
  * Update the architectures on which consider the test suite as non-fatal:
    - add hurd-amd64: it is the same situation as hurd-i386 (i.e. lack of DRI
      for OpenGL)
    - add x32: there seems to be failures
    - drop ia64, and mipsel: discontinued architectures
  * Remove all ia64-specific symbols from debian/libqt5qmlmodels5.symbols,
    as the architecture is discontinued.

 -- Pino Toscano <pino@debian.org>  Mon, 29 Sep 2025 22:29:03 +0200

qtdeclarative-opensource-src (5.15.17+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 22:51:52 +0300

qtdeclarative-opensource-src (5.15.17+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Bump ABI version to qtdeclarative-abi-5-15-17.
  * Refresh fortify_qmlexecutedeferred.patch.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Jul 2025 12:43:04 +0300

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,20 @@
                dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.16+dfsg~),
+               qtbase5-private-dev (>= 5.15.17+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.16~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.16~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.16~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.16+dfsg~) <!nodoc>
-Standards-Version: 4.7.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.17+dfsg~) <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-15-16
+Provides: qtdeclarative-abi-5-15-17
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,11 @@
 %:
 	dh $@ --with pkgkde_symbolshelper
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -rf $(CURDIR)/test_root
-	rm -rf $(CURDIR)/docs
-	rm -rf $(CURDIR)/.local
+execute_after_dh_auto_clean:
+	find examples -type f -executable -and -not -name compile.bat -delete
+	find examples -name "*.so" -delete
+	find tests -executable -type f -and -not '(' -name compile.bat -or -path 'tests/auto/qml/ecmascripttests/test262*' ')' -delete
+	find -name Makefile -delete
 
 override_dh_auto_configure:
 	dh_auto_configure -- QT_BUILD_PARTS+=tests QMAKE_PYTHON=python3
@@ -70,11 +70,12 @@
 	$(MAKE) install INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
 	# - hppa: QML engine is broken, see bug #973659
-	# - ia64: QML engine is broken, see bug #929682
+	# - hurd-*: OpenGL cannot be started because DRI is not available
 	# - mips*: Some tests are failing because of bug #868745
 	# - powerpc, ppc64, s390x: item-grabber test fails on big endian, see https://bugreports.qt.io/browse/QTBUG-56806
 	# - sparc64: QML engine is broken, see bug #894726
-ifneq (,$(filter $(DEB_HOST_ARCH),hppa ia64 mips mips64el mipsel powerpc ppc64 s390x sparc64))
+	# - x32: Some tests fail (unclear why)
+ifneq (,$(filter $(DEB_HOST_ARCH),hppa hurd-amd64 hurd-i386 mips64el powerpc ppc64 s390x sparc64 x32))
 	-xvfb-run -a \
 	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \

## qtdeclarative-opensource-src 5.15.17+p24.04+vrelease+git20250828.1340

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.17+p24.04+vrelease+git20250828.1340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:40:49 +0000

qtdeclarative-opensource-src (5.15.17+dfsg-0neon) jammy; urgency=medium

  * new release.

 -- KDE neon <neon@kde.org>  Mon, 21 Jul 2024 07:59:20 +1000

qtdeclarative-opensource-src (5.15.13+dfsg-2) UNRELEASED; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Rmove myself and Timo form Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 17 Mar 2024 20:38:15 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtdeclarative-opensource-src
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
@@ -10,17 +9,18 @@
                dpkg-dev (>= 1.20.0),
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.15.17+dfsg~),
+               qtbase5-private-dev (>= 5.15.13+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.15.17~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.15.17~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.15.17+dfsg~) <!nodoc>
-Standards-Version: 4.7.2
+Build-Depends-Indep: qdoc-qt5 (>= 5.15.13~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.15.13~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.15.13+dfsg~) <!nodoc>
+Standards-Version: 4.6.2
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
-Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
+Vcs-Git: https://invent.kde.org/neon/qt/qtdeclarative.git
+Vcs-Browser: https://invent.kde.org/neon/qt/qtdeclarative
+Maintainer: Neon CI <neon@kde.org>
 
 Package: libqt5qml5
 Provides: qtdeclarative-abi-5-15-17
@@ -210,8 +210,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libqt5qml5 (<< 5.14.1+dfsg-1~)
-Replaces: libqt5qml5 (<< 5.14.1+dfsg-1~)
+Breaks: libqt5qml5 (<< 5.15.1)
+Replaces: libqt5qml5 (<< 5.15.1)
 Description: Qt 5 QtQml QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -303,6 +303,9 @@
          qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: qml-module-qttest-qtestroot
+Breaks: qml-module-qttest-qtestroot (<< ${source:Version}~ciBuild)
+Replaces: qml-module-qttest-qtestroot (<< ${source:Version}~ciBuild)
 Description: Qt 5 test QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -316,6 +319,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Qt 5 window 2 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for creating top-level windows and

## qtdeclarative-opensource-src 5.15.17+p24.04+vstable+git20250828.1333

=== debian/changelog ===
qtdeclarative-opensource-src (5.15.17+p24.04+vstable+git20250828.1333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 13:33:41 +0000
